## org.eclipse.datatools.modelbase.dbdefinition
Interface ColumnDefinition

All Known Implementing Classes:
  ColumnDefinitionImpl

public interface ColumnDefinition

A representation of the model object 'Column Definition'.

The following features are supported:

- `Identity Column Data Type Definitions`
- `Identity Supported`
- `Computed Supported`
- `Identity Start Value Supported`
- `Identity Increment Supported`
- `Identity Minimum Supported`
- `Identity Maximum Supported`
- `Identity Cycle Supported`
- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getColumnDefinition()`

Method Summary
`EList` `getIdentityColumnDataTypeDefinitions()` Returns the value of the 'Identity Column Data Type Definitions' reference list.
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`boolean` `isComputedSupported()` Returns the value of the 'Computed Supported' attribute.
`boolean` `isIdentityCycleSupported()` Returns the value of the 'Identity Cycle Supported' attribute.
`boolean` `isIdentityIncrementSupported()` Returns the value of the 'Identity Increment Supported' attribute.
`boolean` `isIdentityMaximumSupported()` Returns the value of the 'Identity Maximum Supported' attribute.
`boolean` `isIdentityMinimumSupported()` Returns the value of the 'Identity Minimum Supported' attribute.
`boolean` `isIdentityStartValueSupported()` Returns the value of the 'Identity Start Value Supported' attribute.
`boolean` `isIdentitySupported()` Returns the value of the 'Identity Supported' attribute.
`void` `setComputedSupported(boolean value)` Sets the value of the '`Computed Supported`' attribute.
`void` `setIdentityCycleSupported(boolean value)` Sets the value of the '`Identity Cycle Supported`' attribute.
`void` `setIdentityIncrementSupported(boolean value)` Sets the value of the '`Identity Increment Supported`' attribute.
`void` `setIdentityMaximumSupported(boolean value)` Sets the value of the '`Identity Maximum Supported`' attribute.
`void` `setIdentityMinimumSupported(boolean value)` Sets the value of the '`Identity Minimum Supported`' attribute.
`void` `setIdentityStartValueSupported(boolean value)` Sets the value of the '`Identity Start Value Supported`' attribute.
`void` `setIdentitySupported(boolean value)` Sets the value of the '`Identity Supported`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.

Method Detail

### getIdentityColumnDataTypeDefinitions

    public EList getIdentityColumnDataTypeDefinitions()

  Returns the value of the 'Identity Column Data Type Definitions' reference list. The list contents are of type `PredefinedDataTypeDefinition`.

  If the meaning of the 'Identity Column Data Type Definitions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Column Data Type Definitions' reference list.
  See Also:
    `DatabaseDefinitionPackage.getColumnDefinition_IdentityColumnDataTypeDefinitions()`

### isIdentitySupported

    public boolean isIdentitySupported()

  Returns the value of the 'Identity Supported' attribute.

  If the meaning of the 'Identity Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Supported' attribute.
  See Also:
    `setIdentitySupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentitySupported()`

### setIdentitySupported

    public void setIdentitySupported(boolean value)

  Sets the value of the '`Identity Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Supported' attribute.
  See Also:
    `isIdentitySupported()`

### isComputedSupported

    public boolean isComputedSupported()

  Returns the value of the 'Computed Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Computed Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Computed Supported' attribute.
  See Also:
    `setComputedSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_ComputedSupported()`

### setComputedSupported

    public void setComputedSupported(boolean value)

  Sets the value of the '`Computed Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Computed Supported' attribute.
  See Also:
    `isComputedSupported()`

### isIdentityStartValueSupported

    public boolean isIdentityStartValueSupported()

  Returns the value of the 'Identity Start Value Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Identity Start Value Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Start Value Supported' attribute.
  See Also:
    `setIdentityStartValueSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityStartValueSupported()`

### setIdentityStartValueSupported

    public void setIdentityStartValueSupported(boolean value)

  Sets the value of the '`Identity Start Value Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Start Value Supported' attribute.
  See Also:
    `isIdentityStartValueSupported()`

### isIdentityIncrementSupported

    public boolean isIdentityIncrementSupported()

  Returns the value of the 'Identity Increment Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Identity Increment Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Increment Supported' attribute.
  See Also:
    `setIdentityIncrementSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityIncrementSupported()`

### setIdentityIncrementSupported

    public void setIdentityIncrementSupported(boolean value)

  Sets the value of the '`Identity Increment Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Increment Supported' attribute.
  See Also:
    `isIdentityIncrementSupported()`

### isIdentityMinimumSupported

    public boolean isIdentityMinimumSupported()

  Returns the value of the 'Identity Minimum Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Identity Minimum Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Minimum Supported' attribute.
  See Also:
    `setIdentityMinimumSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityMinimumSupported()`

### setIdentityMinimumSupported

    public void setIdentityMinimumSupported(boolean value)

  Sets the value of the '`Identity Minimum Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Minimum Supported' attribute.
  See Also:
    `isIdentityMinimumSupported()`

### isIdentityMaximumSupported

    public boolean isIdentityMaximumSupported()

  Returns the value of the 'Identity Maximum Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Identity Maximum Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Maximum Supported' attribute.
  See Also:
    `setIdentityMaximumSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityMaximumSupported()`

### setIdentityMaximumSupported

    public void setIdentityMaximumSupported(boolean value)

  Sets the value of the '`Identity Maximum Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Maximum Supported' attribute.
  See Also:
    `isIdentityMaximumSupported()`

### isIdentityCycleSupported

    public boolean isIdentityCycleSupported()

  Returns the value of the 'Identity Cycle Supported' attribute. The default value is `"false"`.

  If the meaning of the 'Identity Cycle Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Identity Cycle Supported' attribute.
  See Also:
    `setIdentityCycleSupported(boolean)`, `DatabaseDefinitionPackage.getColumnDefinition_IdentityCycleSupported()`

### setIdentityCycleSupported

    public void setIdentityCycleSupported(boolean value)

  Sets the value of the '`Identity Cycle Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Cycle Supported' attribute.
  See Also:
    `isIdentityCycleSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getColumnDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.